Skip to main content
POST
/
indicators
Create indicator
curl --request POST \
  --url https://app.azalt.co/api/v1/indicators \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "description": "<string>",
  "datasetItems": [
    "<string>"
  ],
  "variables": [
    {
      "sourceType": "form_element",
      "formElementId": "<string>",
      "inputIndicatorId": "<string>",
      "value": "<string>"
    }
  ],
  "unitId": "<string>",
  "displayUnitId": "<string>",
  "tags": [
    "<string>"
  ],
  "preferredDatasetItemName": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "label": "<string>",
  "description": "<string>",
  "unitId": "<string>",
  "displayUnitId": "<string>",
  "tags": [
    "<string>"
  ],
  "organizationId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.azalt.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
label
string
required
description
string
required
datasetItems
string[]
required
variables
object[]
required
unitId
string | null
displayUnitId
string | null
tags
string[]
preferredDatasetItemName
string | null

Response

Successful response

id
string
required
name
string
required
label
string
required
description
string | null
required
unitId
string | null
required
displayUnitId
string | null
required
tags
string[] | null
required
organizationId
string
required
createdAt
string
required
updatedAt
string
required